## filesrc filesrc — Read from arbitrary point in a file |

## Synopsis

    struct              GstFileSrc;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstFileSrc

## Implemented Interfaces

GstFileSrc implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write

## Description

Read data from a file in the local file system.

### Example launch line

    1
    gst-launch filesrc location=song.ogg ! decodebin2 ! autoaudiosink

Play a song.ogg from local dir.

## Synopsis

### Element Information

plugin | coreelements
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstFileSrc

    struct GstFileSrc;

Opaque GstFileSrc structure.

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

Location of the file to read.

Default value: NULL

## See Also

GstFileSrc